com.sun.jna.platform.win32

## Class WinBase.FILE_ID_INFO.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.FILE_ID_INFO
    - - com.sun.jna.platform.win32.WinBase.FILE_ID_INFO.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    WinBase.FILE_ID_INFO

      public static class WinBase.FILE_ID_INFO.ByReference
      extends WinBase.FILE_ID_INFO
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.WinBase.FILE_ID_INFO

      `WinBase.FILE_ID_INFO.ByReference, WinBase.FILE_ID_INFO.FILE_ID_128`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.WinBase.FILE_ID_INFO

      `FileId, VolumeSerialNumber`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`
    `ByReference(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinBase.FILE_ID_INFO

      `sizeOf`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

    - #### ByReference

          public ByReference(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.